Bug 994330 - glusterfs brew build for RHEL 7 fails
glusterfs brew build for RHEL 7 fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: RHGS 3.0.0
Assigned To: Bala.FA
Sudhir D
:
Depends On:
Blocks: 981054
  Show dependency treegraph
 
Reported: 2013-08-07 00:49 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.33rhs-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-08 08:36:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2013-08-07 00:49:45 EDT
The build fails with 

Making all in src
  CC       glusterfsd.o
  CC       glusterfsd-mgmt.o
  CCLD     glusterfsd
/usr/bin/ld: glusterfsd.o: relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
glusterfsd.o: could not read symbols: Bad value
collect2: error: ld returned 1 exit status
make[3]: *** [glusterfsd] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
RPM build errors:

More information is at http://download.devel.redhat.com/brewroot/work/tasks/1756/6131756/build.log
Comment 2 Amar Tumballi 2013-10-07 01:54:50 EDT
https://code.engineering.redhat.com/gerrit/12559

Note You need to log in before you can comment on or make changes to this bug.